from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import CubeDataSlice
import numpy as np


class test_GetCubeDataRange(TestCase):

    test_data: CubeDataSlice
    connection: DataConnector
    def setUp(self) -> None:
        ind_inline = np.asarray([1, 3, 5])
        ind_xline = np.asarray([2, 4, 6])
        data = np.asarray([[4.1, 5.2], [6.3, 7.4], [8.5, 9.6]])
        self.test_data = CubeDataSlice(2, 3, ind_inline, ind_xline, data)

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/cubedatarange.dat'))
        data = self.connection.get_cube_data_range(1, "", "", 0.0, 0.0, 0, 0, 0, 0)
        self.assertEqual(data.xlines[1], self.test_data.xlines[1])

    def tearDown(self) -> None:
        self.connection.disconnect()