from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
import numpy as np


class test_GetCubeHorizons(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = np.asarray(["hor1", "hor2", "hor3", "hor4"])

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/cubehorizons.dat'))
        data = self.connection.get_cube_horizons(1)
        self.assertEqual(data[3], self.test_data[3])

    def tearDown(self) -> None:
        self.connection.disconnect()