from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import CubeInfo
import numpy as np


class test_GetCubes(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = np.asarray([
            CubeInfo(1, "cube1", 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 1, 2, 3, 4, 5),
            CubeInfo(2, "cube2", 0.8, 0.7, 0.6, 0.5, 0.4, 0.3, 0.2, 0.1, 5, 4, 3, 2, 1)
        ])

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/cubes.dat'))
        data = self.connection.get_cubes()
        self.assertEqual(data[1].y_min_inl_max_xl, self.test_data[1].y_min_inl_max_xl)

    def tearDown(self) -> None:
        self.connection.disconnect()