from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import GridDisplayProperties, Color
import numpy as np


class test_GetGridDisplayProperties(TestCase):

    test_data: GridDisplayProperties
    connection: DataConnector
    def setUp(self) -> None:
        vals = np.asarray([2.5, 5.5])
        colors = np.asarray([Color(3, 2, 1, 5), Color(4, 2, 9 ,1)])
        self.test_data = GridDisplayProperties(1.0, 2.0, 0.1, Color(1, 2, 3, 2), 3.0, Color(2, 5, 2, 1), 
                                               5.0, 3, 3.5, 5.4, 1, vals, colors)
        

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/griddisplayproperties.dat'))
        data = self.connection.get_grid_display_properties(1)
        self.assertEqual(data.max_palette_level, self.test_data.max_palette_level)

    def tearDown(self) -> None:
        self.connection.disconnect()