from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import GridInfo
import numpy as np


class test_GetGridList(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = np.asarray([GridInfo(1, 'first', 1, 1), GridInfo(2, 'second', 1, 1)])

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/gridlist.dat'))
        data = self.connection.get_grids_list()
        self.assertEqual(data[1].grid_name, self.test_data[1].grid_name)

    def tearDown(self) -> None:
        self.connection.disconnect()