from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import Grid
import numpy as np


class test_GetGridSP(TestCase):

    test_data: Grid
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = Grid(1, 2, 1, 0.0, 1.0, 0.0, 1.0, 0.0, 10.0, 1.0,
                              np.asarray([[1.0, 1.1], [2.0, 2.2], [3.0, 3.3]]))

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/gridsp.dat'))
        data = self.connection.get_grid_sp(1)
        self.assertEqual(data.y_max, self.test_data.y_max)

    def tearDown(self) -> None:
        self.connection.disconnect()
