from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import StratigraphicLevel
import numpy as np


class test_GetStratigraphicLevelList(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = [StratigraphicLevel(1, 3.9, 'first'), StratigraphicLevel(2, 4.8, 'second')]

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/stratigraphiclevellist.dat'))
        data = self.connection.get_stratigraphic_levels()
        self.assertEqual(data[1].level_name, self.test_data[1].level_name)

    def tearDown(self) -> None:
        self.connection.disconnect()