from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import WellCurve
import numpy as np


class test_GetWellCurves(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        vals_1 = np.asarray([3.6, 2.5])
        vals_2 = np.asarray([5.6, 9.1])
        depths_1 = np.asarray([1.3, 3.5])
        depths_2 = np.asarray([3.5, 6.7])
        self.test_data = [WellCurve(1, 'first', vals_1, depths_1), WellCurve(0, 'second', vals_2, depths_2)]

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/wellcurves.dat'))
        data = self.connection.get_well_curves(1)
        self.assertEqual(data[1].point_values[1], self.test_data[1].point_values[1])

    def tearDown(self) -> None:
        self.connection.disconnect()