from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import WellHodograph
import numpy as np


class test_GetWellHodograph(TestCase):

    test_data: WellHodograph
    connection: DataConnector
    def setUp(self) -> None:
        depths = np.asarray([3.4, 6.7])
        times = np.asarray([0.0, 1.0])
        self.test_data = WellHodograph(4.7, times, depths)

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/wellhodograph.dat'))
        data = self.connection.get_well_hodograph(1)
        self.assertEqual(data.time_shift, self.test_data.time_shift)

    def tearDown(self) -> None:
        self.connection.disconnect()