from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import WellInfo
import numpy as np


class test_GetWellList(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = [WellInfo(1, 'first'), WellInfo(2, 'second')]

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/welllist.dat'))
        data = self.connection.get_wells_list()
        self.assertEqual(data[1].well_name, self.test_data[1].well_name)

    def tearDown(self) -> None:
        self.connection.disconnect()