from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import Well
import numpy as np


class test_GetWells(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = [Well(1, 'first', 4.2, 2.1, 5.3, 6.3), Well(2, 'second', 2.1, 6.4, 2.3, 6.7)]
    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/wells.dat'))
        data = self.connection.get_wells_data()
        self.assertAlmostEqual(data[1].outfall_y, self.test_data[1].outfall_y)

    def tearDown(self) -> None:
        self.connection.disconnect()