from unittest import TestCase
from cratonapi import DataConnector
from cratonapi.ioconnections import IOReader
from cratonapi.datacontainers import WellStratigraphicLevel
import numpy as np


class test_GetWellStratigraphicLevelList(TestCase):

    test_data: np.ndarray
    connection: DataConnector
    def setUp(self) -> None:
        self.test_data = [WellStratigraphicLevel(1, 1.4), WellStratigraphicLevel(2, 3.5)]

    def test_common(self) -> None:
        self.connection = DataConnector(IOReader(r'files/wellstratigraphiclevels.dat'))
        data = self.connection.get_well_stratigraphic_levels(1)
        self.assertEqual(data[1].level_depth, self.test_data[1].level_depth)

    def tearDown(self) -> None:
        self.connection.disconnect()