from unittest import TestCase
from cratonapi import SignalConnector
from cratonapi.signals import SignalType
from cratonapi.ioconnections import IOReader

from threading import Thread

import time

class test_GetGridDisplayPropertiesChangedSignal(TestCase):

    test_data: str
    result: str 

    def setUp(self) -> None:
        self.test_data = 'Grid Display Properties Changed!'
        

    def test_common(self) -> None:
        def callback_function(grid: int) -> str:
            with open(r"files/result_griddisplaypropertieschangedsignal.txt", "w") as file:
                file.write('Grid Display Properties Changed!')
        connection = SignalConnector((SignalType.grid_list_changed, ), 
            IOReader(r"files/griddisplaypropertieschangedsignal.dat"))
        t1 = Thread(target=connection.listen, args=(callback_function, ))
        t1.start()
        time.sleep(1)
        connection.disconnect()
        t1.join()
        with open(r"files/result_griddisplaypropertieschangedsignal.txt", "r") as file:
            self.result = file.read()
        self.assertEqual(self.test_data, self.result)