"""from unittest import TestCase, skip

from wseisconnectionapi.ioconnections import IOPipe
from ctypes.wintypes import HANDLE
import win32pipe
import win32file
from threading import Thread

import struct
import time


class test_IOPipe(TestCase):
    test_data: str
    pipe_master: HANDLE
    pipe_client: IOPipe
    client: IOPipe

    def setUp(self) -> None:
        self.test_data = 'WSPM Hello!'
        self.pipe_master = win32pipe.CreateNamedPipe(
            r"\\.\pipe\testpipe",
            win32pipe.PIPE_ACCESS_DUPLEX,
            win32pipe.PIPE_TYPE_MESSAGE | win32pipe.PIPE_READMODE_MESSAGE | win32pipe.PIPE_WAIT,
            1, 65536, 65536,
            0,
            None)
        self.pipe_client = IOPipe(r"\\.\pipe\testpipe")

    @skip
    def test_iopipe_read(self) -> None:
        def append_to_pipe(pipe: HANDLE):
            time.sleep(5)
            win32file.WriteFile(pipe, struct.pack("<2s", str.encode('!!')))

        subwriter = Thread(target=append_to_pipe, args=(self.pipe_master,))

        subwriter.start()
        win32file.WriteFile(self.pipe_master, struct.pack("<11s", str.encode(self.test_data)))
        message = self.pipe_client.read()
        subwriter.join()
        self.pipe_client.disconnect()
        data = struct.unpack("<13s", message)[0]
        self.test_data = 'WSPM Hello!!!'
        self.assertEqual(self.test_data, data.decode("utf-8"))

    def tearDown(self):
        win32file.CloseHandle(self.pipe_master)
"""