from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import CubeDataSlice
import numpy as np


class test_CubeDataSliceParser(TestCase):
    test_data: CubeDataSlice

    def setUp(self) -> None:
        ind_inline = np.asarray([1, 3, 5])
        ind_xline = np.asarray([2, 4, 6])
        data = np.float32(np.asarray([[4.1, 5.2], [6.3, 7.4], [8.5, 9.7]]))
        self.test_data = CubeDataSlice(2, 3, ind_inline, ind_xline, data)

    def test_parse(self) -> None:
        with open(r'files/cubedatarange.dat', "rb") as file:
            message = file.read()
        data = dataparsers.cubedatarangeparser.parse(message)
        self.assertEqual(data.data[2][1], self.test_data.data[2][1])