from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import CubeInfo
import numpy as np


class test_CubesParser(TestCase):
    test_data: np.ndarray

    def setUp(self) -> None:
        self.test_data = np.asarray([
            CubeInfo(1, "cube1", 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 1, 2, 3, 4, 5),
            CubeInfo(2, "cube2", 0.8, 0.7, 0.6, 0.5, 0.4, 0.3, 0.2, 0.1, 5, 4, 3, 2, 1)
        ])

    def test_parse(self) -> None:
        with open(r'files/cubes.dat', "rb") as file:
            message = file.read()
        data = dataparsers.cubesparser.parse(message)
        self.assertEqual(data[0].cube_name, self.test_data[0].cube_name)