from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import GridDisplayProperties, Color
import numpy as np


class test_GridDisplayPropertiesParser(TestCase):
    
    test_data: GridDisplayProperties
    def setUp(self) -> None:
        vals = np.asarray([2.5, 5.5])
        colors = np.asarray([Color(3, 2, 1, 5), Color(4, 2, 9 ,1)])
        self.test_data = GridDisplayProperties(1.0, 2.0, 0.1, Color(1, 2, 3, 2), 3.0, Color(2, 5, 2, 1), 
                                               5.0, 3, 3.5, 5.4, 1, vals, colors)
        
    def test_parse(self) -> None:
        with open(r'files/griddisplayproperties.dat', "rb") as file:
            message = file.read()
        data = dataparsers.griddisplaypropertiesparser.parse(message)
        self.assertEqual(data.isoline_min_level, self.test_data.isoline_min_level)