from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import GridInfo
import numpy as np


class test_GridListParser(TestCase):
    
    test_data: np.ndarray
    def setUp(self) -> None:
        self.test_data = np.asarray([GridInfo(1, 'first', 1, 1), GridInfo(2, 'second', 1, 1)])

    def test_parse(self) -> None:
        with open(r'files/gridlist.dat', "rb") as file:
            message = file.read()
        data = dataparsers.gridlistparser.parse(message)
        self.assertEqual(data[1].grid_name, self.test_data[1].grid_name)