from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import Grid
import numpy as np


class test_GridSPParser(TestCase):

    test_data: Grid
    def setUp(self) -> None:
        self.test_data = Grid(1, 2, 1, 0.0, 1.0, 0.0, 1.0, 0.0, 10.0, 1.0,
                                np.asarray([[1.0, 1.1], [2.0, 2.2], [3.0, 3.3]]))

    def test_parse(self) -> None:
        with open(r'files/gridsp.dat', "rb") as file:
            message = file.read()
        data = dataparsers.gridspparser.parse(message)
        self.assertEqual(data.data[2][0], self.test_data.data[2][0])
