from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import StratigraphicLevel


class test_StratigraphicLevelListParser(TestCase):

    test_data: list
    def setUp(self) -> None:
        self.test_data = [StratigraphicLevel(1, 3.9, 'first'), StratigraphicLevel(2, 4.8, 'second')]
        
    def test_parse(self) -> None:
        with open(r'files/stratigraphiclevellist.dat', "rb") as file:
            message = file.read()
        data = dataparsers.stratigraphiclevelsparser.parse(message)
        self.assertEqual(data[1].level_name, self.test_data[1].level_name)