from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import WellCurve
import numpy as np


class test_WellCurvesParser(TestCase):

    test_data: list
    def setUp(self) -> None:
        vals_1 = np.asarray([3.6, 2.5])
        vals_2 = np.asarray([5.6, 9.1])
        depths_1 = np.asarray([1.3, 3.5])
        depths_2 = np.asarray([3.5, 6.7])
        self.test_data = [WellCurve(1, 'first', vals_1, depths_1), WellCurve(0, 'second', vals_2, depths_2)]
        
    def test_parse(self) -> None:
        with open(r'files/wellcurves.dat', "rb") as file:
            message = file.read()
        data = dataparsers.wellcurvesparser.parse(message)
        self.assertEqual(data[1].point_values[1], self.test_data[1].point_values[1])