from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import WellHodograph
import numpy as np


class test_WellHodographParser(TestCase):

    test_data: list
    def setUp(self) -> None:
        depths = np.asarray([3.4, 6.7])
        times = np.asarray([0.0, 1.0])
        self.test_data = WellHodograph(4.7, times, depths)
        
    def test_parse(self) -> None:
        with open(r'files/wellhodograph.dat', "rb") as file:
            message = file.read()
        data = dataparsers.wellhodographparser.parse(message)
        self.assertAlmostEqual(data.time_shift, self.test_data.time_shift)