from unittest import TestCase
from cratonapi.parsers import dataparsers
from cratonapi.datacontainers import WellStratigraphicLevel


class test_WellStratigraphicLevelsParser(TestCase):

    test_data: list
    def setUp(self) -> None:
        self.test_data = [WellStratigraphicLevel(1, 1.4), WellStratigraphicLevel(2, 3.5)]
        
    def test_parse(self) -> None:
        with open(r'files/wellstratigraphiclevels.dat', "rb") as file:
            message = file.read()
        data = dataparsers.wellstratigraphiclevelsparser.parse(message)
        self.assertEqual(data[1].level_depth, self.test_data[1].level_depth)