from unittest import TestCase
from cratonapi.requests import datarequests


class test_WellsRequest(TestCase):
    
    def test_request_two_wells(self) -> None:
        well_ids_two_wells = (15, 12)
        message = datarequests.wellsrequest.request(len(well_ids_two_wells), *well_ids_two_wells)
        with open(r'files/welllistrequest_two_wells.dat', "rb") as file:
            correct_message = file.read()
        self.assertEqual(message, correct_message)

    def test_request_one_well(self) -> None:
        well_ids_one_well = (16)
        message = datarequests.wellsrequest.request(1, well_ids_one_well)
        with open(r'files/welllistrequest_one_well.dat', "rb") as file:
            correct_message = file.read()
        self.assertEqual(message, correct_message)

    def test_request_all_wells(self) -> None:
        message = datarequests.wellsrequest.request(0)
        with open(r'files/welllistrequest_all_wells.dat', "rb") as file:
            correct_message = file.read()
        self.assertEqual(message, correct_message)